VTK: vtkZSpaceRenderer Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkZSpaceRenderer Class Reference

VR renderer. More...

`#include <vtkZSpaceRenderer.h>`

Inheritance diagram for vtkZSpaceRenderer:
[legend]
Collaboration diagram for vtkZSpaceRenderer:
[legend]

## Public Types
typedef vtkOpenGLRenderer | Superclass
Public Types inherited from vtkOpenGLRenderer
enum | LightingComplexityEnum { NoLighting = 0 , Headlight = 1 , Directional = 2 , Positional = 3 }
typedef vtkRenderer | Superclass
Public Types inherited from vtkRenderer
typedef vtkViewport | Superclass
Public Types inherited from vtkViewport
enum class | GradientModes : int { VTK_GRADIENT_VERTICAL , VTK_GRADIENT_HORIZONTAL , VTK_GRADIENT_RADIAL_VIEWPORT_FARTHEST_SIDE , VTK_GRADIENT_RADIAL_VIEWPORT_FARTHEST_CORNER }
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkZSpaceRenderer * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | ResetCamera (const double bounds[6]) override
| Automatically set up the camera based on a specified bounding box (xmin,xmax, ymin,ymax, zmin,zmax). More...
vtkCamera * | MakeCamera () override
| Create a new vtkZSpaceCamera. More...
Public Member Functions inherited from vtkOpenGLRenderer
vtkOpenGLRenderer * | NewInstance () const
void | DeviceRender () override
| Concrete open gl render method. More...
void | DeviceRenderOpaqueGeometry (vtkFrameBufferObjectBase *fbo=nullptr) override
| Overridden to support hidden line removal. More...
void | DeviceRenderTranslucentPolygonalGeometry (vtkFrameBufferObjectBase *fbo=nullptr) override
| Render translucent polygonal geometry. More...
void | Clear () override
| Clear the image to the background color. More...
int | UpdateLights () override
| Ask lights to load themselves into graphics pipeline. More...
int | GetDepthPeelingHigherLayer ()
| Is rendering at translucent geometry stage using depth peeling and rendering a layer other than the first one? (Boolean value) If so, the uniform variables UseTexture and Texture can be set. More...
bool | IsDualDepthPeelingSupported ()
| Dual depth peeling may be disabled for certain runtime configurations. More...
vtkOpenGLState * | GetState ()
const char * | GetLightingUniforms ()
void | UpdateLightingUniforms (vtkShaderProgram *prog)
virtual int | GetLightingComplexity ()
virtual int | GetLightingCount ()
vtkFloatArray * | GetSphericalHarmonics ()
| Get spherical harmonics coefficients used for irradiance. More...
void | SetEnvironmentTexture (vtkTexture *texture, bool isSRGB=false) override
| Overridden in order to connect the texture to the environment map textures. More...
void | ReleaseGraphicsResources (vtkWindow *w) override
void | SetUserLightTransform (vtkTransform *transform)
| Set the user light transform applied after the camera transform. More...
vtkTransform * | GetUserLightTransform ()
| Set the user light transform applied after the camera transform. More...
vtkPBRLUTTexture * | GetEnvMapLookupTable ()
| Get environment textures used for image based lighting. More...
vtkPBRIrradianceTexture * | GetEnvMapIrradiance ()
| Get environment textures used for image based lighting. More...
vtkPBRPrefilterTexture * | GetEnvMapPrefiltered ()
| Get environment textures used for image based lighting. More...
virtual void | SetUseSphericalHarmonics (bool)
| Use spherical harmonics instead of irradiance texture. More...
virtual bool | GetUseSphericalHarmonics ()
| Use spherical harmonics instead of irradiance texture. More...
virtual void | UseSphericalHarmonicsOn ()
| Use spherical harmonics instead of irradiance texture. More...
virtual void | UseSphericalHarmonicsOff ()
| Use spherical harmonics instead of irradiance texture. More...
Public Member Functions inherited from vtkRenderer
vtkRenderer * | NewInstance () const
void | AddLight (vtkLight *)
| Add a light to the list of lights. More...
void | RemoveLight (vtkLight *)
| Remove a light from the list of lights. More...
void | RemoveAllLights ()
| Remove all lights from the list of lights. More...
vtkLightCollection * | GetLights ()
| Return the collection of lights. More...
void | SetLightCollection (vtkLightCollection *lights)
| Set the collection of lights. More...
void | CreateLight ()
| Create and add a light to renderer. More...
virtual vtkLight * | MakeLight ()
| Create a new Light sutible for use with this type of Renderer. More...
virtual vtkTypeBool | UpdateLightsGeometryToFollowCamera ()
| Ask the lights in the scene that are not in world space (for instance, Headlights or CameraLights that are attached to the camera) to update their geometry to match the active camera. More...
vtkVolumeCollection * | GetVolumes ()
| Return the collection of volumes. More...
vtkActorCollection * | GetActors ()
| Return any actors in this renderer. More...
void | SetActiveCamera (vtkCamera *)
| Specify the camera to use for this renderer. More...
vtkCamera * | GetActiveCamera ()
| Get the current camera. More...
int | CaptureGL2PSSpecialProp (vtkProp *)
| This function is called to capture an instance of vtkProp that requires special handling during vtkRenderWindow::CaptureGL2PSSpecialProps(). More...
void | SetGL2PSSpecialPropCollection (vtkPropCollection *)
| Set the prop collection object used during vtkRenderWindow::CaptureGL2PSSpecialProps(). More...
void | AddCuller (vtkCuller *)
| Add an culler to the list of cullers. More...
void | RemoveCuller (vtkCuller *)
| Remove an actor from the list of cullers. More...
vtkCullerCollection * | GetCullers ()
| Return the collection of cullers. More...
virtual double | GetTimeFactor ()
| Get the ratio between allocated time and actual render time. More...
virtual void | Render ()
| CALLED BY vtkRenderWindow ONLY. More...
virtual void | ClearLights ()
| Internal method temporarily removes lights before reloading them into graphics pipeline. More...
int | VisibleActorCount ()
| Returns the number of visible actors. More...
int | VisibleVolumeCount ()
| Returns the number of visible volumes. More...
void | ComputeVisiblePropBounds (double bounds[6])
| Compute the bounding box of all the visible props Used in ResetCamera() and ResetCameraClippingRange() More...
double * | ComputeVisiblePropBounds ()
| Wrapper-friendly version of ComputeVisiblePropBounds. More...
virtual void | ResetCameraClippingRange ()
| Reset the camera clipping range based on the bounds of the visible actors. More...
virtual void | ResetCamera ()
| Automatically set up the camera based on the visible actors. More...
virtual void | ResetCamera (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)
| Alternative version of ResetCamera(bounds[6]);. More...
virtual void | ResetCameraScreenSpace (double offsetRatio=0.9)
| Automatically set up the camera based on the visible actors. More...
virtual void | ResetCameraScreenSpace (const double bounds[6], double offsetRatio=0.9)
| Automatically set up the camera based on a specified bounding box (xmin, xmax, ymin, ymax, zmin, zmax). More...
vtkVector3d | DisplayToWorld (const vtkVector3d &display)
| Convert a vtkVector3d from display space to world space. More...
void | ZoomToBoxUsingViewAngle (const vtkRecti &box, double offsetRatio=1.0)
| Automatically set up the camera focal point and zoom factor to observe the `box` in display coordinates. More...
virtual void | ResetCameraScreenSpace (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, double offsetRatio=0.9)
| Alternative version of ResetCameraScreenSpace(bounds[6]);. More...
vtkTypeBool | Transparent ()
| Returns a boolean indicating if this renderer is transparent. More...
void | WorldToView () override
| Convert world point coordinates to view coordinates. More...
void | WorldToView (double &wx, double &wy, double &wz) override
| Convert world point coordinates to view coordinates. More...
double | GetZ (int x, int y)
| Given a pixel location, return the Z value. More...
vtkMTimeType | GetMTime () override
| Return the MTime of the renderer also considering its ivars. More...
virtual void | StereoMidpoint ()
| Do anything necessary between rendering the left and right viewpoints in a stereo render. More...
double | GetTiledAspectRatio ()
| Compute the aspect ratio of this renderer for the current tile. More...
vtkTypeBool | IsActiveCameraCreated ()
| This method returns 1 if the ActiveCamera has already been set or automatically created by the renderer. More...
virtual void | SetUseDepthPeelingForVolumes (bool)
| This flag is on and the GPU supports it, depth-peel volumes along with the translucent geometry. More...
virtual bool | GetUseDepthPeelingForVolumes ()
virtual void | UseDepthPeelingForVolumesOn ()
virtual void | UseDepthPeelingForVolumesOff ()
void | SetPass (vtkRenderPass *p)
virtual vtkRenderPass * | GetPass ()
void | DisplayToWorld ()
| Convert display (or screen) coordinates to world coordinates. More...
void | AddActor (vtkProp *p)
| Add/Remove different types of props to the renderer. More...
void | AddVolume (vtkProp *p)
| Add/Remove different types of props to the renderer. More...
void | RemoveActor (vtkProp *p)
| Add/Remove different types of props to the renderer. More...
void | RemoveVolume (vtkProp *p)
| Add/Remove different types of props to the renderer. More...
virtual vtkTypeBool | GetTwoSidedLighting ()
| Turn on/off two-sided lighting of surfaces. More...
virtual void | SetTwoSidedLighting (vtkTypeBool)
| Turn on/off two-sided lighting of surfaces. More...
virtual void | TwoSidedLightingOn ()
| Turn on/off two-sided lighting of surfaces. More...
virtual void | TwoSidedLightingOff ()
| Turn on/off two-sided lighting of surfaces. More...
virtual void | SetLightFollowCamera (vtkTypeBool)
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual vtkTypeBool | GetLightFollowCamera ()
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual void | LightFollowCameraOn ()
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual void | LightFollowCameraOff ()
| Turn on/off the automatic repositioning of lights as the camera moves. More...
virtual vtkTypeBool | GetAutomaticLightCreation ()
| Turn on/off a flag which disables the automatic light creation capability. More...
virtual void | SetAutomaticLightCreation (vtkTypeBool)
| Turn on/off a flag which disables the automatic light creation capability. More...
virtual void | AutomaticLightCreationOn ()
| Turn on/off a flag which disables the automatic light creation capability. More...
virtual void | AutomaticLightCreationOff ()
| Turn on/off a flag which disables the automatic light creation capability. More...
virtual void | SetErase (vtkTypeBool)
| When this flag is off, the renderer will not erase the background or the Zbuffer. More...
virtual vtkTypeBool | GetErase ()
| When this flag is off, the renderer will not erase the background or the Zbuffer. More...
virtual void | EraseOn ()
| When this flag is off, the renderer will not erase the background or the Zbuffer. More...
virtual void | EraseOff ()
| When this flag is off, the renderer will not erase the background or the Zbuffer. More...
virtual void | SetDraw (vtkTypeBool)
| When this flag is off, render commands are ignored. More...
virtual vtkTypeBool | GetDraw ()
| When this flag is off, render commands are ignored. More...
virtual void | DrawOn ()
| When this flag is off, render commands are ignored. More...
virtual void | DrawOff ()
| When this flag is off, render commands are ignored. More...
virtual void | SetAmbient (double, double, double)
| Set the intensity of ambient lighting. More...
virtual void | SetAmbient (double[3])
| Set the intensity of ambient lighting. More...
virtual double * | GetAmbient ()
| Set the intensity of ambient lighting. More...
virtual void | GetAmbient (double data[3])
| Set the intensity of ambient lighting. More...
virtual void | SetAllocatedRenderTime (double)
| Set/Get the amount of time this renderer is allowed to spend rendering its scene. More...
virtual double | GetAllocatedRenderTime ()
| Set/Get the amount of time this renderer is allowed to spend rendering its scene. More...
virtual void | ResetCameraClippingRange (const double bounds[6])
| Reset the camera clipping range based on a bounding box. More...
virtual void | ResetCameraClippingRange (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)
| Reset the camera clipping range based on a bounding box. More...
virtual void | SetNearClippingPlaneTolerance (double)
| Specify tolerance for near clipping plane distance to the camera as a percentage of the far clipping plane distance. More...
virtual double | GetNearClippingPlaneTolerance ()
| Specify tolerance for near clipping plane distance to the camera as a percentage of the far clipping plane distance. More...
virtual void | SetClippingRangeExpansion (double)
| Specify enlargement of bounds when resetting the camera clipping range. More...
virtual double | GetClippingRangeExpansion ()
| Specify enlargement of bounds when resetting the camera clipping range. More...
void | SetRenderWindow (vtkRenderWindow *)
| Specify the rendering window in which to draw. More...
vtkRenderWindow * | GetRenderWindow ()
| Specify the rendering window in which to draw. More...
vtkWindow * | GetVTKWindow () override
| Specify the rendering window in which to draw. More...
virtual void | SetBackingStore (vtkTypeBool)
| Turn on/off using backing store. More...
virtual vtkTypeBool | GetBackingStore ()
| Turn on/off using backing store. More...
virtual void | BackingStoreOn ()
| Turn on/off using backing store. More...
virtual void | BackingStoreOff ()
| Turn on/off using backing store. More...
virtual void | SetInteractive (vtkTypeBool)
| Turn on/off interactive status. More...
virtual vtkTypeBool | GetInteractive ()
| Turn on/off interactive status. More...
virtual void | InteractiveOn ()
| Turn on/off interactive status. More...
virtual void | InteractiveOff ()
| Turn on/off interactive status. More...
virtual void | SetLayer (int layer)
| Set/Get the layer that this renderer belongs to. More...
virtual int | GetLayer ()
| Set/Get the layer that this renderer belongs to. More...
virtual vtkTypeBool | GetPreserveColorBuffer ()
| By default, the renderer at layer 0 is opaque, and all non-zero layer renderers are transparent. More...
virtual void | SetPreserveColorBuffer (vtkTypeBool)
| By default, the renderer at layer 0 is opaque, and all non-zero layer renderers are transparent. More...
virtual void | PreserveColorBufferOn ()
| By default, the renderer at layer 0 is opaque, and all non-zero layer renderers are transparent. More...
virtual void | PreserveColorBufferOff ()
| By default, the renderer at layer 0 is opaque, and all non-zero layer renderers are transparent. More...
virtual void | SetPreserveDepthBuffer (vtkTypeBool)
| By default, the depth buffer is reset for each renderer. More...
virtual vtkTypeBool | GetPreserveDepthBuffer ()
| By default, the depth buffer is reset for each renderer. More...
virtual void | PreserveDepthBufferOn ()
| By default, the depth buffer is reset for each renderer. More...
virtual void | PreserveDepthBufferOff ()
| By default, the depth buffer is reset for each renderer. More...
void | ViewToWorld () override
| Convert view point coordinates to world coordinates. More...
void | ViewToWorld (double &wx, double &wy, double &wz) override
| Convert view point coordinates to world coordinates. More...
void | WorldToPose (double &wx, double &wy, double &wz) override
| Convert to from pose coordinates. More...
void | PoseToWorld (double &wx, double &wy, double &wz) override
| Convert to from pose coordinates. More...
void | ViewToPose (double &wx, double &wy, double &wz) override
| Convert to from pose coordinates. More...
void | PoseToView (double &wx, double &wy, double &wz) override
| Convert to from pose coordinates. More...
virtual double | GetLastRenderTimeInSeconds ()
| Get the time required, in seconds, for the last Render call. More...
virtual int | GetNumberOfPropsRendered ()
| Should be used internally only during a render Get the number of props that were rendered using a RenderOpaqueGeometry or RenderTranslucentPolygonalGeometry call. More...
vtkAssemblyPath * | PickProp (double selectionX, double selectionY) override
| Return the prop (via a vtkAssemblyPath) that has the highest z value at the given x, y position in the viewport. More...
vtkAssemblyPath * | PickProp (double selectionX1, double selectionY1, double selectionX2, double selectionY2) override
| Return the prop (via a vtkAssemblyPath) that has the highest z value at the given x, y position in the viewport. More...
vtkAssemblyPath * | PickProp (double selectionX, double selectionY, int fieldAssociation, vtkSmartPointer< vtkSelection > selection) override
| Return the prop (via a vtkAssemblyPath) that has the highest z value at the given x, y position in the viewport. More...
vtkAssemblyPath * | PickProp (double selectionX1, double selectionY1, double selectionX2, double selectionY2, int fieldAssociation, vtkSmartPointer< vtkSelection > selection) override
| Return the prop (via a vtkAssemblyPath) that has the highest z value at the given x, y position in the viewport. More...
virtual void | SetUseDepthPeeling (vtkTypeBool)
| Turn on/off rendering of translucent material with depth peeling technique. More...
virtual vtkTypeBool | GetUseDepthPeeling ()
| Turn on/off rendering of translucent material with depth peeling technique. More...
virtual void | UseDepthPeelingOn ()
| Turn on/off rendering of translucent material with depth peeling technique. More...
virtual void | UseDepthPeelingOff ()
| Turn on/off rendering of translucent material with depth peeling technique. More...
virtual void | SetOcclusionRatio (double)
| In case of use of depth peeling technique for rendering translucent material, define the threshold under which the algorithm stops to iterate over peel layers. More...
virtual double | GetOcclusionRatio ()
| In case of use of depth peeling technique for rendering translucent material, define the threshold under which the algorithm stops to iterate over peel layers. More...
virtual void | SetMaximumNumberOfPeels (int)
| In case of depth peeling, define the maximum number of peeling layers. More...
virtual int | GetMaximumNumberOfPeels ()
| In case of depth peeling, define the maximum number of peeling layers. More...
virtual vtkTypeBool | GetLastRenderingUsedDepthPeeling ()
| Tells if the last call to DeviceRenderTranslucentPolygonalGeometry() actually used depth peeling. More...
virtual void | SetUseSSAO (bool)
| Enable or disable Screen Space Ambient Occlusion. More...
virtual bool | GetUseSSAO ()
| Enable or disable Screen Space Ambient Occlusion. More...
virtual void | UseSSAOOn ()
| Enable or disable Screen Space Ambient Occlusion. More...
virtual void | UseSSAOOff ()
| Enable or disable Screen Space Ambient Occlusion. More...
virtual void | SetSSAORadius (double)
| When using SSAO, define the SSAO hemisphere radius. More...
virtual double | GetSSAORadius ()
| When using SSAO, define the SSAO hemisphere radius. More...
virtual void | SetSSAOBias (double)
| When using SSAO, define the bias when comparing samples. More...
virtual double | GetSSAOBias ()
| When using SSAO, define the bias when comparing samples. More...
virtual void | SetSSAOKernelSize (unsigned int)
| When using SSAO, define the number of samples. More...
virtual unsigned int | GetSSAOKernelSize ()
| When using SSAO, define the number of samples. More...
virtual void | SetSSAOBlur (bool)
| When using SSAO, define blurring of the ambient occlusion. More...
virtual bool | GetSSAOBlur ()
| When using SSAO, define blurring of the ambient occlusion. More...
virtual void | SSAOBlurOn ()
| When using SSAO, define blurring of the ambient occlusion. More...
virtual void | SSAOBlurOff ()
| When using SSAO, define blurring of the ambient occlusion. More...
void | SetDelegate (vtkRendererDelegate *d)
| Set/Get a custom Render call. More...
virtual vtkRendererDelegate * | GetDelegate ()
| Set/Get a custom Render call. More...
virtual vtkHardwareSelector * | GetSelector ()
| Get the current hardware selector. More...
virtual void | SetLeftBackgroundTexture (vtkTexture *)
| Set/Get the texture to be used for the monocular or stereo left eye background. More...
vtkTexture * | GetLeftBackgroundTexture ()
| Set/Get the texture to be used for the monocular or stereo left eye background. More...
virtual void | SetBackgroundTexture (vtkTexture *)
| Set/Get the texture to be used for the monocular or stereo left eye background. More...
virtual vtkTexture * | GetBackgroundTexture ()
| Set/Get the texture to be used for the monocular or stereo left eye background. More...
virtual void | SetRightBackgroundTexture (vtkTexture *)
| Set/Get the texture to be used for the right eye background. More...
virtual vtkTexture * | GetRightBackgroundTexture ()
| Set/Get the texture to be used for the right eye background. More...
virtual void | SetTexturedBackground (bool)
| Set/Get whether this viewport should have a textured background. More...
virtual bool | GetTexturedBackground ()
| Set/Get whether this viewport should have a textured background. More...
virtual void | TexturedBackgroundOn ()
| Set/Get whether this viewport should have a textured background. More...
virtual void | TexturedBackgroundOff ()
| Set/Get whether this viewport should have a textured background. More...
virtual void | SetUseFXAA (bool)
| Turn on/off FXAA anti-aliasing, if supported. More...
virtual bool | GetUseFXAA ()
| Turn on/off FXAA anti-aliasing, if supported. More...
virtual void | UseFXAAOn ()
| Turn on/off FXAA anti-aliasing, if supported. More...
virtual void | UseFXAAOff ()
| Turn on/off FXAA anti-aliasing, if supported. More...
virtual vtkFXAAOptions * | GetFXAAOptions ()
| The configuration object for FXAA antialiasing. More...
virtual void | SetFXAAOptions (vtkFXAAOptions *)
| The configuration object for FXAA antialiasing. More...
virtual void | SetUseShadows (vtkTypeBool)
| Turn on/off rendering of shadows if supported Initial value is off. More...
virtual vtkTypeBool | GetUseShadows ()
| Turn on/off rendering of shadows if supported Initial value is off. More...
virtual void | UseShadowsOn ()
| Turn on/off rendering of shadows if supported Initial value is off. More...
virtual void | UseShadowsOff ()
| Turn on/off rendering of shadows if supported Initial value is off. More...
virtual void | SetUseHiddenLineRemoval (vtkTypeBool)
| If this flag is true and the rendering engine supports it, wireframe geometry will be drawn using hidden line removal. More...
virtual vtkTypeBool | GetUseHiddenLineRemoval ()
| If this flag is true and the rendering engine supports it, wireframe geometry will be drawn using hidden line removal. More...
virtual void | UseHiddenLineRemovalOn ()
| If this flag is true and the rendering engine supports it, wireframe geometry will be drawn using hidden line removal. More...
virtual void | UseHiddenLineRemovalOff ()
| If this flag is true and the rendering engine supports it, wireframe geometry will be drawn using hidden line removal. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
virtual void | SetUseImageBasedLighting (bool)
| If this flag is true and the rendering engine supports it, image based lighting is enabled and surface rendering displays environment reflections. More...
virtual bool | GetUseImageBasedLighting ()
| If this flag is true and the rendering engine supports it, image based lighting is enabled and surface rendering displays environment reflections. More...
virtual void | UseImageBasedLightingOn ()
| If this flag is true and the rendering engine supports it, image based lighting is enabled and surface rendering displays environment reflections. More...
virtual void | UseImageBasedLightingOff ()
| If this flag is true and the rendering engine supports it, image based lighting is enabled and surface rendering displays environment reflections. More...
virtual vtkTexture * | GetEnvironmentTexture ()
| Set/Get the environment texture used for image based lighting. More...
virtual double * | GetEnvironmentUp ()
| Set/Get the environment up vector. More...
virtual void | GetEnvironmentUp (double &, double &, double &)
| Set/Get the environment up vector. More...
virtual void | GetEnvironmentUp (double[3])
| Set/Get the environment up vector. More...
virtual void | SetEnvironmentUp (double, double, double)
| Set/Get the environment up vector. More...
virtual void | SetEnvironmentUp (double[3])
| Set/Get the environment up vector. More...
virtual double * | GetEnvironmentRight ()
| Set/Get the environment right vector. More...
virtual void | GetEnvironmentRight (double &, double &, double &)
| Set/Get the environment right vector. More...
virtual void | GetEnvironmentRight (double[3])
| Set/Get the environment right vector. More...
virtual void | SetEnvironmentRight (double, double, double)
| Set/Get the environment right vector. More...
virtual void | SetEnvironmentRight (double[3])
| Set/Get the environment right vector. More...
Public Member Functions inherited from vtkViewport
vtkViewport * | NewInstance () const
void | AddViewProp (vtkProp *)
| Add a prop to the list of props. More...
vtkPropCollection * | GetViewProps ()
| Return any props in this viewport. More...
vtkTypeBool | HasViewProp (vtkProp *)
| Query if a prop is in the list of props. More...
void | RemoveViewProp (vtkProp *)
| Remove a prop from the list of props. More...
void | RemoveAllViewProps ()
| Remove all props from the list of props. More...
virtual double * | GetCenter ()
| Return the center of this viewport in display coordinates. More...
virtual vtkTypeBool | IsInViewport (int x, int y)
| Is a given display point in this Viewport's viewport. More...
virtual void | DisplayToView ()
| Convert display coordinates to view coordinates. More...
virtual void | ViewToDisplay ()
| Convert view coordinates to display coordinates. More...
void | DisplayToWorld ()
| Convert display (or screen) coordinates to world coordinates. More...
void | WorldToDisplay ()
| Convert world point coordinates to display (or screen) coordinates. More...
void | WorldToDisplay (double &x, double &y, double &z)
| Convert world point coordinates to display (or screen) coordinates. More...
vtkAssemblyPath * | PickPropFrom (double selectionX, double selectionY, vtkPropCollection *)
| Same as PickProp with two arguments, but selects from the given collection of Props instead of the Renderers props. More...
vtkAssemblyPath * | PickPropFrom (double selectionX1, double selectionY1, double selectionX2, double selectionY2, vtkPropCollection *)
| Same as PickProp with four arguments, but selects from the given collection of Props instead of the Renderers props. More...
vtkAssemblyPath * | PickPropFrom (double selectionX, double selectionY, vtkPropCollection *, int fieldAssociation, vtkSmartPointer< vtkSelection > selection)
| Same as PickProp with two arguments, but selects from the given collection of Props instead of the Renderers props. More...
vtkAssemblyPath * | PickPropFrom (double selectionX1, double selectionY1, double selectionX2, double selectionY2, vtkPropCollection *, int fieldAssociation, vtkSmartPointer< vtkSelection > selection)
| Same as PickProp with four arguments, but selects from the given collection of Props instead of the Renderers props. More...
virtual double | GetPickedZ ()
| Return the Z value for the last picked Prop. More...
void | AddActor2D (vtkProp *p)
| Add/Remove different types of props to the renderer. More...
void | RemoveActor2D (vtkProp *p)
| Add/Remove different types of props to the renderer. More...
vtkActor2DCollection * | GetActors2D ()
| Add/Remove different types of props to the renderer. More...
virtual void | SetBackground (double, double, double)
| Set/Get the background color of the rendering screen using an rgb color specification. More...
virtual void | SetBackground (double[3])
| Set/Get the background color of the rendering screen using an rgb color specification. More...
virtual double * | GetBackground ()
| Set/Get the background color of the rendering screen using an rgb color specification. More...
virtual void | GetBackground (double &, double &, double &)
| Set/Get the background color of the rendering screen using an rgb color specification. More...
virtual void | GetBackground (double[3])
| Set/Get the background color of the rendering screen using an rgb color specification. More...
virtual void | SetBackground2 (double, double, double)
| Set/Get the second background color of the rendering screen for gradient backgrounds using an rgb color specification. More...
virtual void | SetBackground2 (double[3])
| Set/Get the second background color of the rendering screen for gradient backgrounds using an rgb color specification. More...
virtual double * | GetBackground2 ()
| Set/Get the second background color of the rendering screen for gradient backgrounds using an rgb color specification. More...
virtual void | GetBackground2 (double &, double &, double &)
| Set/Get the second background color of the rendering screen for gradient backgrounds using an rgb color specification. More...
virtual void | GetBackground2 (double[3])
| Set/Get the second background color of the rendering screen for gradient backgrounds using an rgb color specification. More...
virtual void | SetBackgroundAlpha (double)
| Set/Get the alpha value used to fill the background with. More...
virtual double | GetBackgroundAlpha ()
| Set/Get the alpha value used to fill the background with. More...
virtual void | SetGradientBackground (bool)
| Set/Get whether this viewport should have a gradient background using the Background (bottom) and Background2 (top) colors. More...
virtual bool | GetGradientBackground ()
| Set/Get whether this viewport should have a gradient background using the Background (bottom) and Background2 (top) colors. More...
virtual void | GradientBackgroundOn ()
| Set/Get whether this viewport should have a gradient background using the Background (bottom) and Background2 (top) colors. More...
virtual void | GradientBackgroundOff ()
| Set/Get whether this viewport should have a gradient background using the Background (bottom) and Background2 (top) colors. More...
virtual void | SetDitherGradient (bool)
| Set/Get whether this viewport should use dithering to reduce color banding when using gradient backgrounds. More...
virtual bool | GetDitherGradient ()
| Set/Get whether this viewport should use dithering to reduce color banding when using gradient backgrounds. More...
virtual void | DitherGradientOn ()
| Set/Get whether this viewport should use dithering to reduce color banding when using gradient backgrounds. More...
virtual void | DitherGradientOff ()
| Set/Get whether this viewport should use dithering to reduce color banding when using gradient backgrounds. More...
| vtkSetEnumMacro (GradientMode, GradientModes)
| Specify the direction of the gradient background. More...
| vtkGetEnumMacro (GradientMode, GradientModes)
| Specify the direction of the gradient background. More...
virtual void | SetAspect (double, double)
| Set the aspect ratio of the rendered image. More...
void | SetAspect (double[2])
| Set the aspect ratio of the rendered image. More...
virtual double * | GetAspect ()
| Set the aspect ratio of the rendered image. More...
virtual void | GetAspect (double data[2])
| Set the aspect ratio of the rendered image. More...
virtual void | ComputeAspect ()
| Set the aspect ratio of the rendered image. More...
virtual void | SetPixelAspect (double, double)
| Set the aspect ratio of a pixel in the rendered image. More...
void | SetPixelAspect (double[2])
| Set the aspect ratio of a pixel in the rendered image. More...
virtual double * | GetPixelAspect ()
| Set the aspect ratio of a pixel in the rendered image. More...
virtual void | GetPixelAspect (double data[2])
| Set the aspect ratio of a pixel in the rendered image. More...
virtual void | SetViewport (double, double, double, double)
| Specify the viewport for the Viewport to draw in the rendering window. More...
virtual void | SetViewport (double[4])
| Specify the viewport for the Viewport to draw in the rendering window. More...
virtual double * | GetViewport ()
| Specify the viewport for the Viewport to draw in the rendering window. More...
virtual void | GetViewport (double data[4])
| Specify the viewport for the Viewport to draw in the rendering window. More...
virtual void | SetDisplayPoint (double, double, double)
| Set/get a point location in display (or screen) coordinates. More...
virtual void | SetDisplayPoint (double[3])
| Set/get a point location in display (or screen) coordinates. More...
virtual double * | GetDisplayPoint ()
| Set/get a point location in display (or screen) coordinates. More...
virtual void | GetDisplayPoint (double data[3])
| Set/get a point location in display (or screen) coordinates. More...
virtual void | SetViewPoint (double, double, double)
| Specify a point location in view coordinates. More...
virtual void | SetViewPoint (double[3])
| Specify a point location in view coordinates. More...
virtual double * | GetViewPoint ()
| Specify a point location in view coordinates. More...
virtual void | GetViewPoint (double data[3])
| Specify a point location in view coordinates. More...
virtual void | SetWorldPoint (double, double, double, double)
| Specify a point location in world coordinates. More...
virtual void | SetWorldPoint (double[4])
| Specify a point location in world coordinates. More...
virtual double * | GetWorldPoint ()
| Specify a point location in world coordinates. More...
virtual void | GetWorldPoint (double data[4])
| Specify a point location in world coordinates. More...
virtual void | LocalDisplayToDisplay (double &x, double &y)
| These methods map from one coordinate system to another. More...
virtual void | DisplayToNormalizedDisplay (double &u, double &v)
| These methods map from one coordinate system to another. More...
virtual void | NormalizedDisplayToViewport (double &x, double &y)
| These methods map from one coordinate system to another. More...
virtual void | ViewportToNormalizedViewport (double &u, double &v)
| These methods map from one coordinate system to another. More...
virtual void | NormalizedViewportToView (double &x, double &y, double &z)
| These methods map from one coordinate system to another. More...
virtual void | DisplayToLocalDisplay (double &x, double &y)
| These methods map from one coordinate system to another. More...
virtual void | NormalizedDisplayToDisplay (double &u, double &v)
| These methods map from one coordinate system to another. More...
virtual void | ViewportToNormalizedDisplay (double &x, double &y)
| These methods map from one coordinate system to another. More...
virtual void | NormalizedViewportToViewport (double &u, double &v)
| These methods map from one coordinate system to another. More...
virtual void | ViewToNormalizedViewport (double &x, double &y, double &z)
| These methods map from one coordinate system to another. More...
virtual void | ViewToDisplay (double &x, double &y, double &z)
| These methods map from one coordinate system to another. More...
virtual int * | GetSize ()
| Get the size and origin of the viewport in display coordinates. More...
virtual int * | GetOrigin ()
| Get the size and origin of the viewport in display coordinates. More...
void | GetTiledSize (int *width, int *height)
| Get the size and origin of the viewport in display coordinates. More...
virtual void | GetTiledSizeAndOrigin (int *width, int *height, int *lowerLeftX, int *lowerLeftY)
| Get the size and origin of the viewport in display coordinates. More...
double | GetPickX () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
double | GetPickY () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
double | GetPickWidth () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
double | GetPickHeight () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
double | GetPickX1 () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
double | GetPickY1 () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
double | GetPickX2 () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
double | GetPickY2 () const
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
virtual vtkPropCollection * | GetPickResultProps ()
| Methods used to return the pick (x,y) in local display coordinates (i.e., it's that same as selectionX and selectionY). More...
virtual void | SetEnvironmentalBG (double, double, double)
| Set/Get the constant environmental color using an rgb color specification. More...
virtual void | SetEnvironmentalBG (double[3])
| Set/Get the constant environmental color using an rgb color specification. More...
virtual double * | GetEnvironmentalBG ()
| Set/Get the constant environmental color using an rgb color specification. More...
virtual void | GetEnvironmentalBG (double &, double &, double &)
| Set/Get the constant environmental color using an rgb color specification. More...
virtual void | GetEnvironmentalBG (double[3])
| Set/Get the constant environmental color using an rgb color specification. More...
virtual void | SetEnvironmentalBG2 (double, double, double)
| Set/Get the second environmental gradient color using an rgb color specification. More...
virtual void | SetEnvironmentalBG2 (double[3])
| Set/Get the second environmental gradient color using an rgb color specification. More...
virtual double * | GetEnvironmentalBG2 ()
| Set/Get the second environmental gradient color using an rgb color specification. More...
virtual void | GetEnvironmentalBG2 (double &, double &, double &)
| Set/Get the second environmental gradient color using an rgb color specification. More...
virtual void | GetEnvironmentalBG2 (double[3])
| Set/Get the second environmental gradient color using an rgb color specification. More...
virtual void | SetGradientEnvironmentalBG (bool)
| Set/Get whether this viewport should enable the gradient environment using the EnvironmentalBG (bottom) and EnvironmentalBG2 (top) colors. More...
virtual bool | GetGradientEnvironmentalBG ()
| Set/Get whether this viewport should enable the gradient environment using the EnvironmentalBG (bottom) and EnvironmentalBG2 (top) colors. More...
virtual void | GradientEnvironmentalBGOn ()
| Set/Get whether this viewport should enable the gradient environment using the EnvironmentalBG (bottom) and EnvironmentalBG2 (top) colors. More...
virtual void | GradientEnvironmentalBGOff ()
| Set/Get whether this viewport should enable the gradient environment using the EnvironmentalBG (bottom) and EnvironmentalBG2 (top) colors. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkZSpaceRenderer * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkZSpaceRenderer * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkOpenGLRenderer
static vtkOpenGLRenderer * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOpenGLRenderer * | SafeDownCast (vtkObjectBase *o)
static bool | HaveAppleQueryAllocationBug ()
| Indicate if this system is subject to the apple/NVIDIA bug that causes crashes in the driver when too many query objects are allocated. More...
Static Public Member Functions inherited from vtkRenderer
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderer * | SafeDownCast (vtkObjectBase *o)
static vtkRenderer * | New ()
| Create a vtkRenderer with a black background, a white ambient light, two-sided lighting turned on, a viewport of (0,0,1,1), and backface culling turned off. More...
Static Public Member Functions inherited from vtkViewport
static vtkTypeBool | IsTypeOf (const char *type)
static vtkViewport * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkZSpaceRenderer ()
| ~vtkZSpaceRenderer () override=default
Protected Member Functions inherited from vtkOpenGLRenderer
| vtkOpenGLRenderer ()
| ~vtkOpenGLRenderer () override
void | CheckCompilation (unsigned int fragmentShader)
| Check the compilation status of some fragment shader source. More...
int | UpdateGeometry (vtkFrameBufferObjectBase *fbo=nullptr) override
| Ask all props to update and draw any opaque and translucent geometry. More...
vtkTexture * | GetCurrentTexturedBackground ()
| Check and return the textured background for the current state If monocular or stereo left eye, check BackgroundTexture If stereo right eye, check RightBackgroundTexture. More...
Protected Member Functions inherited from vtkRenderer
| vtkRenderer ()
| ~vtkRenderer () override
virtual void | ExpandBounds (double bounds[6], vtkMatrix4x4 *matrix)
void | AllocateTime ()
const std::array< double, 16 > & | GetCompositeProjectionTransformationMatrix ()
| Gets the ActiveCamera CompositeProjectionTransformationMatrix, only computing it if necessary. More...
const std::array< double, 16 > & | GetProjectionTransformationMatrix ()
| Gets the ActiveCamera ProjectionTransformationMatrix, only computing it if necessary. More...
const std::array< double, 16 > & | GetViewTransformMatrix ()
| Gets the ActiveCamera ViewTransformMatrix, only computing it if necessary. More...
virtual int | UpdateTranslucentPolygonalGeometry ()
| Ask all props to update and draw any translucent polygonal geometry. More...
virtual int | UpdateOpaquePolygonalGeometry ()
| Ask all props to update and draw any opaque polygonal geometry. More...
virtual int | UpdateCamera ()
| Ask the active camera to do whatever it needs to do prior to rendering. More...
virtual vtkTypeBool | UpdateLightGeometry ()
| Update the geometry of the lights in the scene that are not in world space (for instance, Headlights or CameraLights that are attached to the camera). More...
vtkCamera * | GetActiveCameraAndResetIfCreated ()
| Get the current camera and reset it only if it gets created automatically (see GetActiveCamera). More...
void | SetSelector (vtkHardwareSelector *selector)
| Called by vtkHardwareSelector when it begins rendering for selection. More...
Protected Member Functions inherited from vtkViewport
| vtkViewport ()
| ~vtkViewport () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkOpenGLRenderer
vtkOpenGLFXAAFilter * | FXAAFilter
| FXAA is delegated to an instance of vtkOpenGLFXAAFilter. More...
vtkDepthPeelingPass * | DepthPeelingPass
| Depth peeling is delegated to an instance of vtkDepthPeelingPass. More...
vtkOrderIndependentTranslucentPass * | TranslucentPass
| Fallback for transparency. More...
vtkShadowMapPass * | ShadowMapPass
| Shadows are delegated to an instance of vtkShadowMapPass. More...
vtkSSAOPass * | SSAOPass
| SSAO is delegated to an instance of vtkSSAOPass. More...
int | DepthPeelingHigherLayer
std::string | LightingDeclaration
int | LightingComplexity
int | LightingCount
vtkMTimeType | LightingUpdateTime
vtkSmartPointer< vtkTransform > | UserLightTransform
| Optional user transform for lights. More...
vtkPBRLUTTexture * | EnvMapLookupTable
vtkPBRIrradianceTexture * | EnvMapIrradiance
vtkPBRPrefilterTexture * | EnvMapPrefiltered
vtkSmartPointer< vtkFloatArray > | SphericalHarmonics
std::unique_ptr< vtkOpenGLQuadHelper > | BackgroundRenderer
bool | UseSphericalHarmonics
Protected Attributes inherited from vtkRenderer
vtkCamera * | ActiveCamera
vtkLight * | CreatedLight
vtkLightCollection * | Lights
vtkCullerCollection * | Cullers
vtkActorCollection * | Actors
vtkVolumeCollection * | Volumes
double | Ambient [3]
vtkRenderWindow * | RenderWindow
double | AllocatedRenderTime
double | TimeFactor
vtkTypeBool | TwoSidedLighting
vtkTypeBool | AutomaticLightCreation
vtkTypeBool | BackingStore
unsigned char * | BackingImage
int | BackingStoreSize [2]
vtkTimeStamp | RenderTime
double | LastRenderTimeInSeconds
vtkTypeBool | LightFollowCamera
int | NumberOfPropsRendered
vtkProp ** | PropArray
int | PropArrayCount
vtkTypeBool | Interactive
int | Layer
vtkTypeBool | PreserveColorBuffer
vtkTypeBool | PreserveDepthBuffer
double | ComputedVisiblePropBounds [6]
double | NearClippingPlaneTolerance
| Specifies the minimum distance of the near clipping plane as a percentage of the far clipping plane distance. More...
double | ClippingRangeExpansion
| Specify enlargement of bounds when resetting the camera clipping range. More...
vtkTypeBool | Erase
| When this flag is off, the renderer will not erase the background or the Zbuffer. More...
vtkTypeBool | Draw
| When this flag is off, render commands are ignored. More...
vtkPropCollection * | GL2PSSpecialPropCollection
| Temporary collection used by vtkRenderWindow::CaptureGL2PSSpecialProps. More...
bool | UseFXAA
| If this flag is on and the rendering engine supports it, FXAA will be used to antialias the scene. More...
vtkFXAAOptions * | FXAAOptions
| Holds the FXAA configuration. More...
vtkTypeBool | UseShadows
| If this flag is on and the rendering engine supports it render shadows Initial value is off. More...
vtkTypeBool | UseHiddenLineRemoval
| When this flag is on and the rendering engine supports it, wireframe polydata will be rendered using hidden line removal. More...
vtkTypeBool | UseDepthPeeling
| If this flag is on and the GPU supports it, depth peeling is used for rendering translucent materials. More...
bool | UseDepthPeelingForVolumes
| This flag is on and the GPU supports it, depth-peel volumes along with the translucent geometry. More...
double | OcclusionRatio
| In case of use of depth peeling technique for rendering translucent material, define the threshold under which the algorithm stops to iterate over peel layers. More...
int | MaximumNumberOfPeels
| In case of depth peeling, define the maximum number of peeling layers. More...
bool | UseSSAO = false
double | SSAORadius = 0.5
double | SSAOBias = 0.01
unsigned int | SSAOKernelSize = 32
bool | SSAOBlur = false
vtkTypeBool | LastRenderingUsedDepthPeeling
| Tells if the last call to DeviceRenderTranslucentPolygonalGeometry() actually used depth peeling. More...
vtkHardwareSelector * | Selector
vtkRendererDelegate * | Delegate
bool | TexturedBackground
vtkTexture * | BackgroundTexture
vtkTexture * | RightBackgroundTexture
vtkRenderPass * | Pass
vtkInformation * | Information
bool | UseImageBasedLighting
vtkTexture * | EnvironmentTexture
double | EnvironmentUp [3]
double | EnvironmentRight [3]
Protected Attributes inherited from vtkViewport
vtkAssemblyPath * | PickedProp
vtkPropCollection * | PickFromProps
vtkPropCollection * | PickResultProps
double | PickX1
double | PickY1
double | PickX2
double | PickY2
double | PickedZ
vtkPropCollection * | Props
vtkActor2DCollection * | Actors2D
vtkWindow * | VTKWindow
double | Background [3]
double | Background2 [3]
double | BackgroundAlpha
double | Viewport [4]
double | Aspect [2]
double | PixelAspect [2]
double | Center [2]
bool | GradientBackground
bool | DitherGradient
GradientModes | GradientMode = GradientModes::VTK_GRADIENT_VERTICAL
double | EnvironmentalBG [3]
double | EnvironmentalBG2 [3]
bool | GradientEnvironmentalBG
int | Size [2]
int | Origin [2]
double | DisplayPoint [3]
double | ViewPoint [3]
double | WorldPoint [4]
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

VR renderer.

vtkZSpaceRenderer is a vtkRenderer subclass that is meant to be used with the ZSpace hardware. It redefines in particular the ResetCamera function, that uses the zSpace SDK to retrieve the "comfort zone" of the stereo frustum and fit bounding box in it.

Events:
  vtkCommand::CreateCameraEvent

Definition at line 26 of file vtkZSpaceRenderer.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkOpenGLRenderer vtkZSpaceRenderer::Superclass

Definition at line 30 of file vtkZSpaceRenderer.h.

## Constructor & Destructor Documentation

## ◆ vtkZSpaceRenderer()

vtkZSpaceRenderer::vtkZSpaceRenderer | ( |  | ) |
| protected

## ◆ ~vtkZSpaceRenderer()

vtkZSpaceRenderer::~vtkZSpaceRenderer | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ New()

static vtkZSpaceRenderer* vtkZSpaceRenderer::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkZSpaceRenderer::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkZSpaceRenderer::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkOpenGLRenderer.

## ◆ SafeDownCast()

static vtkZSpaceRenderer* vtkZSpaceRenderer::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkZSpaceRenderer::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkOpenGLRenderer.

## ◆ NewInstance()

vtkZSpaceRenderer* vtkZSpaceRenderer::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkZSpaceRenderer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkOpenGLRenderer.

## ◆ ResetCamera()

void vtkZSpaceRenderer::ResetCamera | ( | const double | bounds[6] | ) |
| overridevirtual

Automatically set up the camera based on a specified bounding box (xmin,xmax, ymin,ymax, zmin,zmax).

Camera will reposition itself so that its focal point is the center of the bounding box, and the bounding box fits in the comfort zone (coupled zone) of the ZSpace camera frustum.

Reimplemented from vtkRenderer.

## ◆ MakeCamera()

vtkCamera* vtkZSpaceRenderer::MakeCamera | ( |  | ) |
| overridevirtual

Create a new vtkZSpaceCamera.

Returns
  vtkZSpaceCamera*

Reimplemented from vtkRenderer.

The documentation for this class was generated from the following file:

- Rendering/ZSpace/vtkZSpaceRenderer.h